import {defineConfig} from 'vite'

export default defineConfig({
    test: {
        globals: true,
        env: {
            "DUMMY": "1",
            "MERCHANT_CCID": "{Set Merchant CcId here.}",
            "MERCHANT_SECRET": "{Set Merchant Secret Key here.}",
            "TOKEN_API_KEY": "{Set Token API Key here.}",
            "CARDNUMBER_VISA": "4111111111111111",
            "CARDNUMBER_MASTERCARD": "5555555555554444",
            "CARDNUMBER_JCB": "3528000000000007",
            "EXP_DATE": "12/50",
            "CVC": "1234",
            "CC_NAME": "TEST TARO"
        },
        environment: 'node',
        sequence: {setupFiles: 'list'},
        testTimeout: 60_000,
        watch: false
    },

})
